<?php
/**
 * Created by PhpStorm.
 * User: Avenax
 * Date: 19.01.2019
 * Time: 19:25
 */

require_once('../../config/func.php');

auth();
require_once('../../config/header.php');
require_once ('Tower.php');
//
if ($user['user_save'] == 0) {
    header('Location: /');
    exit();
}

$classTower = new Tower($user);

if ($classTower->rbacLevel()) {
    echo '<div class="menu center">';
    echo $classTower->rbacLevel();
    echo '</div>';
    require_once('../../config/footer.php');
    exit();
}
$tower = $classTower->getTower();

if ($tower['level_tower'] == 4 && $tower['status_battle'] == 'prepare') {
    echo '<div class="menu center">';
    echo '<span style="color: lightgreen">Вы полностью прошли Башню!</span>';
    echo '</div>';
    require_once('../../config/footer.php');
    exit();
}


echo '<div class="menu">';

if ($tower['level_tower'] == false || $tower['status_battle'] == 'prepare') {
    echo '<div class="center"><img src="/avenax/img/tower.png" alt="*" width="60%"> </div>';
}

if ($tower['level_tower'] == false) {
    if (filter_has_var(INPUT_GET, 'start') && $tower['status_battle'] == 'prepare' && $tower['level_tower'] == 0) {
        $classTower->start();
    }

    echo '<div class="nav-bar"><a href="?start">Начать великий бой в Башне</a></div>';
} else {


    if ($tower['status_battle'] == 'battle' && $tower['count_enemy'] < $classTower->countMaxLevelStep) {

        if (filter_has_var(INPUT_GET, 'go')) {
            $myPower = ($user['mosh'] / 1);
            if ($myPower >= $tower['hp_enemy']) {
                // минус 1
                $classTower->minusOne();
            } else if ($tower['power_enemy'] >= $tower['hp_user']) {
                // проигрыш
               $classTower->lose();
            } else {
                $classTower->noWin($myPower, $tower['power_enemy']);
            }
        }

        $my = $classTower->getMyHp();
        $enemy = $classTower->getEnemyHp();

        echo '<div class="menu"><div class="ohh"><img src="/images/shop/item.png" width="45" height="45"></div> <img src="/images/shop/item.png" width="15" height="15"> <b>' . $classTower->name . '</b><br><img src="/images/arena.png" width="14" height="14"> ' . ($tower['power_enemy']) . '<br><img src="/images/hp.png" width="13" height="13"> ' . $tower['hp_enemy'] . '</div>';
        echo '<div class="progress-bar _fight"> <div style="width: ' . $enemy . '%;" class="progress _green"></div> </div></div>';
        echo "<div class='nav-bar'><a class='green center' href='?go'>Атаковать</a></div>";
        echo '<div class="menu"><div class="ohh"><img src="/images/' . $user['sex'] . '_mini.png" width="45" height="45"></div> <img src="/images/us.png" width="14" height="14"> <b>' . htmlspecialchars($user['login']) . '</b><br><img src="/images/arena.png" width="13" height="13"> ' . ($user['mosh'] / 1) . '<br><img src="/images/hp.png" width="13" height="13"> ' . $user['mosh'] . '<br></div>';
        echo '<div class="progress-bar _fight"><div style="width: ' . $my . '%;" class="progress _green"></div> </div></div>';

    } else if ($tower['status_battle'] == 'battle' && $tower['count_enemy'] >= $classTower->countMaxLevelStep) {

            if (filter_has_var(INPUT_GET, 'titul')) {

                $classTower->setTitul();
            }

            $titul = $classTower->titulInfo($tower['level_tower']);
            echo '<div class="menu center"><div><small>Вы успешно прошли уровень!<br><u>Вы можете забрать свой титул.</u></small></div><hr>';
            echo '<b>' . $titul['name'] . '</b><hr><img src="/images/mosh_max.png" width="" height=""> <br>Мощь <font color="lime">+ ' . $titul['power'] . '</font>, Опыт <font color="lime">+ ' . $titul['exp'] . '%</font>, Золото <font color="lime">+ ' . $titul['gold'] . '%</font>, Алмазы <font color="lime">+ ' . $titul['diamond'] . '</font><br><br>
<div class="center"><a href="?titul" class="green">Забрать титул</a></div></div>';

    } else if ($tower['status_battle'] == 'prepare') {
        // user level

        if (filter_has_var(INPUT_GET, 'next')) {

            $classTower->start();
        }
        echo '<div class="nav-bar"><a href="?next">Продолжить великий бой в Башне</a></div>';
    }

}

//mysql_query("ALTER TABLE user add column titulTower tinyint(2) unsigned not null default '0'");

echo '</div>';
require_once('../../config/footer.php');